<?php
function wiloke_shortcode_registration_form($atts){
    global $wiloke;

	$atts = shortcode_atts(
		array(
			'heading'       => esc_html__('Register Now', 'listgo'),
			'username_label'=> esc_html__('User Name', 'listgo'),
			'password_label'=> esc_html__('Password', 'listgo'),
			'email_label'   => esc_html__('Email Address', 'listgo'),
			'btn_text'      => esc_html__('Register', 'listgo'),
			'css'           => '',
			'extract_class' => ''
		),
		$atts
	);

	$wrapperClass = 'listgo-register ' . $atts['extract_class'] . ' ' . vc_shortcode_custom_css_class($atts['css'], ' ');

	ob_start(); ?>

	<div id="wiloke-sc-signup-signin-wrapper" class="<?php echo esc_attr($wrapperClass); ?>">
		<div class="listgo-register-header">
			<span class="listgo-register-header-line1"></span>
			<span class="listgo-register-header-line2"></span>
			<h4><?php echo esc_html($atts['heading']) ?></h4>
		</div>
		<div class="listgo-register-form">
			<form id="wiloke-shortcode-signup-form" class="signup-form" action="#">
				<p class="print-msg-here error-msg"></p>
                <div class="form-item">
                    <label for="sc-email" class="label"><?php echo esc_html($atts['email_label']) ?> <sup>*</sup></label>
                    <span class="input-text">
                        <input id="sc-email" type="email" name="email" value="" required>
                    </span>
                </div>
				<div class="form-item">
					<label for="sc-username" class="label"><?php echo esc_html($atts['username_label']) ?> <sup>*</sup></label>
					<span class="input-text">
                        <input id="sc-username" type="text" name="username" value="" required>
                    </span>
				</div>
                <div class="form-item">
                    <label for="sc-password" class="label"><?php echo esc_html($atts['password_label']) ?> <sup>*</sup></label>
                    <span class="input-text">
                        <input id="sc-password" type="password" name="password" value="" required>
                    </span>
                </div>
				<?php do_action('wiloke/signup-form/before-submit-button'); ?>
				<?php if ( isset($wiloke->aThemeOptions['toggle_signup_checkbox_term']) && $wiloke->aThemeOptions['toggle_signup_checkbox_term'] == 'enable' ) : ?>
                    <div class="form-item desc">
                        <label for="addlisting-agree-term-conditional" class="input-checkbox">
                            <input id="addlisting-agree-term-conditional" name="agree_to_term_conditional" type="checkbox" value="1" required>
                            <span></span>
                        </label>
						<?php Wiloke::wiloke_kses_simple_html($wiloke->aThemeOptions['sign_in_desc']); ?>
                    </div>
				<?php endif; ?>
				<div class="form-item">
					<button type="submit" id="sc-signup-btn" class="listgo-btn btn-primary listgo-btn--full signup-btn"><?php echo esc_html($atts['btn_text']); ?></button>
				</div>
			</form>
		</div>
	</div>
	<?php
	$content = ob_get_contents();
	ob_end_clean();

	return $content;
}