// rollup.config.js
import resolve from 'rollup-plugin-node-resolve';
import babel from 'rollup-plugin-babel';
import uglify from 'rollup-plugin-uglify';
import { minify } from 'uglify-es';
import multiEntry from 'rollup-plugin-multi-entry';

let feInput = './dev-js/';
let feOutput = './js/';

const fs = require('fs');
let aFeConfiguration = [];
let Common = {
	plugins: [
		resolve(),
		uglify({}, minify),
		babel({
			exclude: 'node_modules/**' // only transpile our source code
		})
	]
}

fs.readdirSync(feInput).forEach(file => {
	let pattern = new RegExp(feInput, "g"),
		name = file.replace(pattern, '');
	name = name.replace('.js', '');
	name = name.replace(/-/g, '');
	if ( name !== 'WilokePagination' ){
		let oIndividual = {
			input: feInput+file,
			output: {
				file: feOutput+file,
				format: 'iife',
				name: 'listgo_'+name
			}
		};

		oIndividual = Object.assign({}, oIndividual, Common);
		aFeConfiguration.push(oIndividual);
	}
});

// let beInput = './admin/source/dev-js/';
// let beOutput = 'admin/source/js/';

// let aBeConfiguration = [];
// fs.readdirSync(beInput).forEach(file => {
// 	let pattern = new RegExp(beInput, "g"),
// 		name = file.replace(pattern, '');
// 	name = name.replace('.js', '');
// 	name = name.replace(/-/g, '');

// 	let oIndividual = {
// 		moduleName: 'listgo_backend_'+name,
// 		input: beInput+file,
// 		output: {
// 			file: beOutput+file,
// 			format: 'iife',
// 		}
// 	};
// 	oIndividual = Object.assign({}, oIndividual, Common);
// 	aBeConfiguration.push(oIndividual);
// });

export default aFeConfiguration
